Web forum is in read-only mode. Login as active registered customer for write access
  Forum Search   New Posts New Posts

Postgres Version 10

 Post Reply Post Reply
Author
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Topic: Postgres Version 10
    Posted: 30 Jul 2019 at 1:47am
Are there any plans to support Postgres 10?


Back to Top
Wagner R. Landgraf View Drop Down
TMS Support
TMS Support
Avatar

Joined: 18 May 2010
Posts: 2566
Post Options Post Options   Quote Wagner R. Landgraf Quote  Post ReplyReply Direct Link To This Post Posted: 30 Jul 2019 at 10:16pm
What Postgres 10 feature you miss in Data Modeler?
Back to Top
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Posted: 30 Jul 2019 at 10:20pm
Not a matter of features, it just generates an error saying cannot find libpg.dll and looks for it in the wrong path.  I have copied the 32 bit version to the same folder as dm.exe, but still get the same error.
Back to Top
Wagner R. Landgraf View Drop Down
TMS Support
TMS Support
Avatar

Joined: 18 May 2010
Posts: 2566
Post Options Post Options   Quote Wagner R. Landgraf Quote  Post ReplyReply Direct Link To This Post Posted: 30 Jul 2019 at 10:24pm
I don't think it's related to Postgres version, but I will do further tests here and let you know.
Back to Top
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Posted: 31 Jul 2019 at 12:28am
I get the same errors when trying to generate entities from Aurelius Connection using FireDAC.  Works fine in Postgres 9, but not in 10.
Back to Top
Wagner R. Landgraf View Drop Down
TMS Support
TMS Support
Avatar

Joined: 18 May 2010
Posts: 2566
Post Options Post Options   Quote Wagner R. Landgraf Quote  Post ReplyReply Direct Link To This Post Posted: 31 Jul 2019 at 12:50am
Using Aurelius "generate entities" you get the error "cannot find libpg.dll"?!?!??
But it just uses an existing TFDConnection that should be placed in your form. Are you saying your TFDConnection cannot connect to Postgres 10, regardless if you are using Aurelius or not?
Back to Top
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Posted: 31 Jul 2019 at 4:40am
Sorry, that was the wrong error message - I have tried so many things - Connections from both Aurelius and FireDAC are successful.  When trying to generate entities, error message: "EGUIException: Cannot find datatype: date range."  Unfortunately, the accounting software database I am trying to connect to has many non-standard data types including hstore, jsonb, etc.  If I could get Data Modeler to recognize a Postgres 10 database, I could exclude them from the Aurelius export.  I have had a little success creating the database in V9, but some new data types generate errors in V9.
Back to Top
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Posted: 31 Jul 2019 at 8:42pm
Making progress.  Instead of just copying libpg.dll to the dm application folder, I copied the whole 32 bit bin folder.  I can now get past the selection of PostgreSQL 9 or 11, but have a new error message. Data Modeler will not accept passwords for postgres user that contain spaces (I can work around this by changing the master password).  This was a bug introduced in Delphi 10.3 with FireDAC.  They have since fixed this bug in 10.3.1.  I have sent 3 FireDAC units that were a quick fix that Embarcadero support sent me to fix the error via your TMS support email.  Maybe it will be some help.
Back to Top
McIntyre Don View Drop Down
New Member
New Member
Avatar

Joined: 25 Feb 2015
Posts: 7
Post Options Post Options   Quote McIntyre Don Quote  Post ReplyReply Direct Link To This Post Posted: 02 Aug 2019 at 5:37pm
Changed my postgres password to not include spaces and Connection test succeeds.  However, import database now fails with the same message that is displayed when using Aurelius Connection to generate entities: Cannot find datatype: daterange
Back to Top
Wagner R. Landgraf View Drop Down
TMS Support
TMS Support
Avatar

Joined: 18 May 2010
Posts: 2566
Post Options Post Options   Quote Wagner R. Landgraf Quote  Post ReplyReply Direct Link To This Post Posted: 08 Aug 2019 at 10:01pm
For the record, after some private e-mail exchanges, the remaining issue is the daterange data type error. We will release a Data Modeler update that handles the issue.
Back to Top
 Post Reply Post Reply

Forum Jump Forum Permissions View Drop Down